---

title: Engineering Managers Training Opportunities
---







# What training do we recommend for Engineering Managers?

## CREDIT Values
At GitLab we see **CREDIT** everywhere, it is in our 360 Feedback, Annual and Mid Year Performance Reviews and in Promotion Documents.  
It is important to have evidence for this CREDIT but the training below provides opportunities to learn more about how   
Engineering Managers can live our CREDIT values.

| GitLab Value| Online Course(s)  |
|----------|------------------|
| Collaboration  | Course(s) from the [Building Trust and Collaborating with Others](https://www.linkedin.com/learning/paths/building-trust-and-collaborating-with-others-2?u=2255073) Pathway|
| Results| [Managing for Results](https://www.linkedin.com/learning/managing-for-results-4?u=2255073) | 
| Efficiency  | [Efficient Time Management](https://www.linkedin.com/learning/efficient-time-management?u=2255073) |
| Diversity  | Course(s) from the [Diversity, Inclusion, and Belonging for Leaders and Managers](https://www.linkedin.com/learning/paths/diversity-inclusion-and-belonging-for-leaders-and-managers?u=2255073) Pathway | 
| Iteration   | [Interview about Iteration](https://youtu.be/tPTweQlBS54) | 
| Transparency  | [Communicating with Transparency](https://www.linkedin.com/learning/communicating-with-transparency?u=2255073) | 

## Working Remotely 
We are experts in working remotely, so our handbook is the best resource for this area.

- [Remote Work Foundations](https://about.gitlab.com/company/culture/all-remote/remote-certification/#remote-work-foundation-certification-criteria) (Handbook)
- [How to Manage a Remote Team](https://www.coursera.org/learn/remote-team-management) 

## Feedback 
Giving and Receiving feedback is challenging. The training below provides some best practices and ideas regarding  
how to handle feedback.

- [Giving & Receiving Feedback](https://www.linkedin.com/learning/giving-and-receiving-feedback?u=2255073) 

## New Managers 

- [New Manager Foundations](https://www.linkedin.com/learning/new-manager-foundations-2?u=2255073) 
- [Become a Manager](https://www.linkedin.com/learning/paths/become-a-manager?u=2255073)
- [Transitioning from IC to Manager](https://www.linkedin.com/learning/transitioning-from-individual-contributor-to-manager?u=2255073)
- [Avoiding New Manager Mistakes](https://www.linkedin.com/learning/avoiding-new-manager-mistakes?u=2255073)

## Recognition of Team Members

- [Recognizing Team Members](https://www.linkedin.com/learning/recognizing-and-rewarding-your-workers?u=2255073) 
- [Giving & Receiving Feedback](https://www.linkedin.com/learning/giving-and-receiving-feedback?u=2255073)
- [Delivering Employee Feedback](https://www.linkedin.com/learning/delivering-employee-feedback-5?u=2255073)

## Coaching

- [GitLab Coaching Framework ](https://about.gitlab.com/handbook/leadership/coaching/) (Handbook)
- [Improve Your Coaching Skills as a Manager
](https://www.linkedin.com/learning/paths/improve-your-coaching-skills-as-a-manager?u=2255073)

## Mentoring

Mentoring sounds easy however there can be pitfalls.   
The training below is a good resource to ensuring you engage in a productive Mentoring relationship.
- [Grow your Impact as a Mentor](https://www.linkedin.com/learning/paths/grow-your-impact-as-a-mentor?u=2255073) (Handbook)
- [Mentoring](https://www.linkedin.com/learning/paths/grow-your-impact-as-a-mentor?u=2255073)(Handbook)

## Leadership

- [Emotional Intelligence](https://about.gitlab.com/handbook/leadership/emotional-intelligence/)(Handbook)
- [Elevate Manager Training](/handbook/people-group/learning-and-development/elevate/)(Handbook)
- [Become a Leader](https://www.linkedin.com/learning/paths/become-a-leader?u=2255073)
- [Leading Others Effectively](https://www.linkedin.com/learning/paths/leading-others-effectively?u=2255073)
- [Become a More Resilient Leader in Turbulent Times](https://online-learning.harvard.edu/course/become-more-resilient-leader-turbulent-times?delta=0)
- [Leadership Fundamentals](https://www.linkedin.com/learning/leadership-fundamentals/leaving-an-impact?u=2255073)

## High Performing Teams

- [Psychological Safety: Clear Blocks to Innovation, Collaboration, and Risk-Taking](https://www.linkedin.com/learning/psychological-safety-clear-blocks-to-innovation-collaboration-and-risk-taking/psychological-safety-create-openness-as-a-leader?u=2255073)

## Learning GitLab

- [GitLab 101](https://about.gitlab.com/handbook/people-group/learning-and-development/gitlab-101/) (Handbook)
- [GitLab 201](https://about.gitlab.com/handbook/people-group/learning-and-development/gitlab-201/)(Handbook)
- [Learning GitLab](https://www.linkedin.com/learning/learning-gitlab-2?u=2255073)
- [Continuous Delivery with GitLab](https://www.linkedin.com/learning/continuous-delivery-with-gitlab?u=2255073)
